=== modified file 'bin/duplicity'
--- bin/duplicity	2014-04-16 02:43:43 +0000
+++ bin/duplicity	2014-04-17 20:50:57 +0000
@@ -1042,7 +1042,7 @@
         log.Notice(_("Deleting local %s (not authoritative at backend).") % util.ufn(del_name))
         try:
             util.ignore_missing(os.unlink, del_name)
-        except Exception, e:
+        except Exception as e:
             log.Warn(_("Unable to delete %s: %s") % (util.ufn(del_name), str(e)))
 
     def copy_to_local(fn):
@@ -1505,18 +1505,18 @@
     # sys.exit() function.  Python handles this by
     # raising the SystemExit exception.  Cleanup code
     # goes here, if needed.
-    except SystemExit, e:
+    except SystemExit as e:
         # No traceback, just get out
         util.release_lockfile()
         sys.exit(e)
 
-    except KeyboardInterrupt, e:
+    except KeyboardInterrupt as e:
         # No traceback, just get out
         log.Info(_("INT intercepted...exiting."))
         util.release_lockfile()
         sys.exit(4)
 
-    except gpg.GPGError, e:
+    except gpg.GPGError as e:
         # For gpg errors, don't show an ugly stack trace by
         # default. But do with sufficient verbosity.
         util.release_lockfile()
@@ -1526,7 +1526,7 @@
                        log.ErrorCode.gpg_failed,
                        e.__class__.__name__)
 
-    except duplicity.errors.UserError, e:
+    except duplicity.errors.UserError as e:
         util.release_lockfile()
         # For user errors, don't show an ugly stack trace by
         # default. But do with sufficient verbosity.
@@ -1536,7 +1536,7 @@
                        log.ErrorCode.user_error,
                        e.__class__.__name__)
 
-    except duplicity.errors.BackendException, e:
+    except duplicity.errors.BackendException as e:
         util.release_lockfile()
         # For backend errors, don't show an ugly stack trace by
         # default. But do with sufficient verbosity.
@@ -1546,7 +1546,7 @@
                        log.ErrorCode.user_error,
                        e.__class__.__name__)
 
-    except Exception, e:
+    except Exception as e:
         util.release_lockfile()
         if "Forced assertion for testing" in str(e):
             log.FatalError(u"%s: %s" % (e.__class__.__name__, unicode(e)),

=== modified file 'bin/rdiffdir'
--- bin/rdiffdir	2014-02-05 02:57:01 +0000
+++ bin/rdiffdir	2014-04-17 20:50:57 +0000
@@ -64,7 +64,7 @@
                                        "include-filelist-stdin", "include-globbing-filelist",
                                        "include-regexp=", "max-blocksize", "null-separator",
                                        "verbosity=", "write-sig-to="])
-    except getopt.error, e:
+    except getopt.error as e:
         command_line_error("Bad command line option: %s" % (str(e),))
 
     for opt, arg in optlist:

=== modified file 'duplicity/backend.py'
--- duplicity/backend.py	2014-04-17 19:02:22 +0000
+++ duplicity/backend.py	2014-04-17 20:50:57 +0000
@@ -306,7 +306,7 @@
             try:
                 kwargs = {"raise_errors" : True}
                 return fn(*args, **kwargs)
-            except Exception, e:
+            except Exception as e:
                 log.Warn(_("Attempt %s failed: %s: %s")
                          % (n, e.__class__.__name__, str(e)))
                 log.Debug(_("Backtrace of previous error: %s")
@@ -332,10 +332,10 @@
                 try:
                     self.retry_count = n
                     return fn(self, *args)
-                except FatalBackendError, e:
+                except FatalBackendError as e:
                     # die on fatal errors
                     raise e
-                except Exception, e:
+                except Exception as e:
                     # retry on anything else
                     log.Warn(_("Attempt %s failed. %s: %s")
                              % (n, e.__class__.__name__, str(e)))
@@ -345,7 +345,7 @@
         # final trial, die on exception
             self.retry_count = n+1
             return fn(self, *args)
-        except Exception, e:
+        except Exception as e:
             log.Debug(_("Backtrace of previous error: %s")
                         % exception_traceback())
             log.FatalError(_("Giving up after %s attempts. %s: %s")

=== modified file 'duplicity/backends/_boto_multi.py'
--- duplicity/backends/_boto_multi.py	2014-04-09 09:22:27 +0000
+++ duplicity/backends/_boto_multi.py	2014-04-17 20:50:57 +0000
@@ -63,7 +63,7 @@
             try:
                 args = self.queue.get(True, 1)
                 progress.report_transfer(args[0], args[1])
-            except Queue.Empty, e:
+            except Queue.Empty as e:
                 pass
 
 
@@ -210,7 +210,7 @@
             conn = None
             bucket = None
             del conn
-        except Exception, e:
+        except Exception as e:
             traceback.print_exc()
             if num_retries:
                 log.Debug("%s: Upload of chunk %d failed. Retrying %d more times..." % (

=== modified file 'duplicity/backends/_boto_single.py'
--- duplicity/backends/_boto_single.py	2014-04-09 09:55:21 +0000
+++ duplicity/backends/_boto_single.py	2014-04-17 20:50:57 +0000
@@ -202,7 +202,7 @@
             try:
                 try:
                     self.bucket = self.conn.get_bucket(self.bucket_name, validate=True)
-                except Exception, e:
+                except Exception as e:
                     if "NoSuchBucket" in str(e):
                         if globals.s3_european_buckets:
                             self.bucket = self.conn.create_bucket(self.bucket_name,
@@ -211,7 +211,7 @@
                             self.bucket = self.conn.create_bucket(self.bucket_name)
                     else:
                         raise e
-            except Exception, e:
+            except Exception as e:
                 log.Warn("Failed to create bucket (attempt #%d) '%s' failed (reason: %s: %s)"
                          "" % (n, self.bucket_name,
                                e.__class__.__name__,
@@ -252,7 +252,7 @@
                 self.resetConnection()
                 log.Debug("Uploaded %s/%s to %s Storage at roughly %f bytes/second" % (self.straight_url, remote_filename, storage_class, rough_upload_speed))
                 return
-            except Exception, e:
+            except Exception as e:
                 log.Warn("Upload '%s/%s' failed (attempt #%d, reason: %s: %s)"
                          "" % (self.straight_url,
                                remote_filename,
@@ -279,7 +279,7 @@
                 key.get_contents_to_filename(local_path.name)
                 local_path.setdata()
                 return
-            except Exception, e:
+            except Exception as e:
                 log.Warn("Download %s/%s failed (attempt #%d, reason: %s: %s)"
                          "" % (self.straight_url,
                                remote_filename,
@@ -304,7 +304,7 @@
             log.Info("Listing %s" % self.straight_url)
             try:
                 return self._list_filenames_in_bucket()
-            except Exception, e:
+            except Exception as e:
                 log.Warn("List %s failed (attempt #%d, reason: %s: %s)"
                          "" % (self.straight_url,
                                n,
@@ -348,7 +348,7 @@
             if key is None:
                 return {'size': -1}
             return {'size': key.size}
-        except Exception, e:
+        except Exception as e:
             log.Warn("Query %s/%s failed: %s"
                      "" % (self.straight_url,
                            filename,
@@ -397,7 +397,7 @@
                             log.Info("File %s was successfully restored from Glacier" % remote_filename)
                     success = True
                     break
-                except Exception, e:
+                except Exception as e:
                     log.Warn("Restoration from Glacier for file %s/%s failed (attempt #%d, reason: %s: %s)"
                              "" % (self.straight_url,
                                    remote_filename,

=== modified file 'duplicity/backends/_cf_cloudfiles.py'
--- duplicity/backends/_cf_cloudfiles.py	2013-12-27 06:39:00 +0000
+++ duplicity/backends/_cf_cloudfiles.py	2014-04-17 20:50:57 +0000
@@ -63,7 +63,7 @@
 
         try:
             conn = Connection(**conn_kwargs)
-        except Exception, e:
+        except Exception as e:
             log.FatalError("Connection failed, please check your credentials: %s %s"
                            % (e.__class__.__name__, str(e)),
                            log.ErrorCode.connection_failed)
@@ -79,10 +79,10 @@
                 sobject = self.container.create_object(remote_filename)
                 sobject.load_from_filename(source_path.name)
                 return
-            except self.resp_exc, error:
+            except self.resp_exc as error:
                 log.Warn("Upload of '%s' failed (attempt %d): CloudFiles returned: %s %s"
                          % (remote_filename, n, error.status, error.reason))
-            except Exception, e:
+            except Exception as e:
                 log.Warn("Upload of '%s' failed (attempt %s): %s: %s"
                         % (remote_filename, n, e.__class__.__name__, str(e)))
                 log.Debug("Backtrace of previous error: %s"
@@ -102,10 +102,10 @@
                     f.write(chunk)
                 local_path.setdata()
                 return
-            except self.resp_exc, resperr:
+            except self.resp_exc as resperr:
                 log.Warn("Download of '%s' failed (attempt %s): CloudFiles returned: %s %s"
                          % (remote_filename, n, resperr.status, resperr.reason))
-            except Exception, e:
+            except Exception as e:
                 log.Warn("Download of '%s' failed (attempt %s): %s: %s"
                          % (remote_filename, n, e.__class__.__name__, str(e)))
                 log.Debug("Backtrace of previous error: %s"
@@ -128,10 +128,10 @@
                     objs = self.container.list_objects(marker=keys[-1])
                     keys += objs
                 return keys
-            except self.resp_exc, resperr:
+            except self.resp_exc as resperr:
                 log.Warn("Listing of '%s' failed (attempt %s): CloudFiles returned: %s %s"
                          % (self.container, n, resperr.status, resperr.reason))
-            except Exception, e:
+            except Exception as e:
                 log.Warn("Listing of '%s' failed (attempt %s): %s: %s"
                          % (self.container, n, e.__class__.__name__, str(e)))
                 log.Debug("Backtrace of previous error: %s"
@@ -148,14 +148,14 @@
             try:
                 self.container.delete_object(remote_filename)
                 return
-            except self.resp_exc, resperr:
+            except self.resp_exc as resperr:
                 if n > 1 and resperr.status == 404:
                     # We failed on a timeout, but delete succeeded on the server
                     log.Warn("Delete of '%s' missing after retry - must have succeded earler" % remote_filename )
                     return
                 log.Warn("Delete of '%s' failed (attempt %s): CloudFiles returned: %s %s"
                          % (remote_filename, n, resperr.status, resperr.reason))
-            except Exception, e:
+            except Exception as e:
                 log.Warn("Delete of '%s' failed (attempt %s): %s: %s"
                          % (remote_filename, n, e.__class__.__name__, str(e)))
                 log.Debug("Backtrace of previous error: %s"
@@ -179,7 +179,7 @@
             return {'size': sobject.size}
         except NoSuchObject:
             return {'size': -1}
-        except Exception, e:
+        except Exception as e:
             log.Warn("Error querying '%s/%s': %s"
                      "" % (self.container,
                            filename,

=== modified file 'duplicity/backends/_cf_pyrax.py'
--- duplicity/backends/_cf_pyrax.py	2013-12-27 06:39:00 +0000
+++ duplicity/backends/_cf_pyrax.py	2014-04-17 20:50:57 +0000
@@ -62,7 +62,7 @@
 
         try:
             pyrax.set_credentials(**conn_kwargs)
-        except Exception, e:
+        except Exception as e:
             log.FatalError("Connection failed, please check your credentials: %s %s"
                            % (e.__class__.__name__, str(e)),
                            log.ErrorCode.connection_failed)
@@ -81,10 +81,10 @@
             try:
                 self.container.upload_file(source_path.name, remote_filename)
                 return
-            except self.client_exc, error:
+            except self.client_exc as error:
                 log.Warn("Upload of '%s' failed (attempt %d): pyrax returned: %s %s"
                          % (remote_filename, n, error.__class__.__name__, error.message))
-            except Exception, e:
+            except Exception as e:
                 log.Warn("Upload of '%s' failed (attempt %s): %s: %s"
                         % (remote_filename, n, e.__class__.__name__, str(e)))
                 log.Debug("Backtrace of previous error: %s"
@@ -105,10 +105,10 @@
                 return
             except self.nso_exc:
                 return
-            except self.client_exc, resperr:
+            except self.client_exc as resperr:
                 log.Warn("Download of '%s' failed (attempt %s): pyrax returned: %s %s"
                          % (remote_filename, n, resperr.__class__.__name__, resperr.message))
-            except Exception, e:
+            except Exception as e:
                 log.Warn("Download of '%s' failed (attempt %s): %s: %s"
                          % (remote_filename, n, e.__class__.__name__, str(e)))
                 log.Debug("Backtrace of previous error: %s"
@@ -131,10 +131,10 @@
                     objs = self.container.get_object_names(marker = keys[-1])
                     keys += objs
                 return keys
-            except self.client_exc, resperr:
+            except self.client_exc as resperr:
                 log.Warn("Listing of '%s' failed (attempt %s): pyrax returned: %s %s"
                          % (self.container, n, resperr.__class__.__name__, resperr.message))
-            except Exception, e:
+            except Exception as e:
                 log.Warn("Listing of '%s' failed (attempt %s): %s: %s"
                          % (self.container, n, e.__class__.__name__, str(e)))
                 log.Debug("Backtrace of previous error: %s"
@@ -151,14 +151,14 @@
             try:
                 self.container.delete_object(remote_filename)
                 return
-            except self.client_exc, resperr:
+            except self.client_exc as resperr:
                 if n > 1 and resperr.status == 404:
                     # We failed on a timeout, but delete succeeded on the server
                     log.Warn("Delete of '%s' missing after retry - must have succeded earler" % remote_filename)
                     return
                 log.Warn("Delete of '%s' failed (attempt %s): pyrax returned: %s %s"
                          % (remote_filename, n, resperr.__class__.__name__, resperr.message))
-            except Exception, e:
+            except Exception as e:
                 log.Warn("Delete of '%s' failed (attempt %s): %s: %s"
                          % (remote_filename, n, e.__class__.__name__, str(e)))
                 log.Debug("Backtrace of previous error: %s"
@@ -181,7 +181,7 @@
             return {'size': sobject.total_bytes}
         except self.nso_exc:
             return {'size': -1}
-        except Exception, e:
+        except Exception as e:
             log.Warn("Error querying '%s/%s': %s"
                      "" % (self.container,
                            filename,

=== modified file 'duplicity/backends/_ssh_paramiko.py'
--- duplicity/backends/_ssh_paramiko.py	2013-12-30 16:01:49 +0000
+++ duplicity/backends/_ssh_paramiko.py	2014-04-17 20:50:57 +0000
@@ -134,7 +134,7 @@
         try:
             if os.path.isfile("/etc/ssh/ssh_known_hosts"):
                 self.client.load_system_host_keys("/etc/ssh/ssh_known_hosts")
-        except Exception, e:
+        except Exception as e:
             raise BackendException("could not load /etc/ssh/ssh_known_hosts, maybe corrupt?")
         try:
             # use load_host_keys() to signal it's writable to paramiko
@@ -144,7 +144,7 @@
                 self.client.load_host_keys(file)
             else:
                 self.client._host_keys_filename = file
-        except Exception, e:
+        except Exception as e:
             raise BackendException("could not load ~/.ssh/known_hosts, maybe corrupt?")
 
         """ the next block reorganizes all host parameters into a
@@ -211,7 +211,7 @@
                                 allow_agent=True, 
                                 look_for_keys=True,
                                 key_filename=self.config['identityfile'])
-        except Exception, e:
+        except Exception as e:
             raise BackendException("ssh connection to %s@%s:%d failed: %s" % (
                                     self.config['user'],
                                     self.config['hostname'],
@@ -229,7 +229,7 @@
         else:
             try:
                 self.sftp=self.client.open_sftp()
-            except Exception, e:
+            except Exception as e:
                 raise BackendException("sftp negotiation failed: %s" % e)
 
 
@@ -244,17 +244,17 @@
                         continue
                     try:
                         attrs=self.sftp.stat(d)
-                    except IOError, e:
+                    except IOError as e:
                         if e.errno == errno.ENOENT:
                             try:
                                 self.sftp.mkdir(d)
-                            except Exception, e:
+                            except Exception as e:
                                 raise BackendException("sftp mkdir %s failed: %s" % (self.sftp.normalize(".")+"/"+d,e))
                         else:
                             raise BackendException("sftp stat %s failed: %s" % (self.sftp.normalize(".")+"/"+d,e))
                     try:
                         self.sftp.chdir(d)
-                    except Exception, e:
+                    except Exception as e:
                         raise BackendException("sftp chdir to %s failed: %s" % (self.sftp.normalize(".")+"/"+d,e))
 
     def put(self, source_path, remote_filename = None):
@@ -275,7 +275,7 @@
                         chan=self.client.get_transport().open_session()
                         chan.settimeout(globals.timeout)
                         chan.exec_command("scp -t '%s'" % self.remote_dir) # scp in sink mode uses the arg as base directory
-                    except Exception, e:
+                    except Exception as e:
                         raise BackendException("scp execution failed: %s" % e)
                     # scp protocol: one 0x0 after startup, one after the Create meta, one after saving
                     # if there's a problem: 0x1 or 0x02 and some error text
@@ -298,9 +298,9 @@
                     try:
                         self.sftp.put(source_path.name,remote_filename)
                         return
-                    except Exception, e:
+                    except Exception as e:
                         raise BackendException("sftp put of %s (as %s) failed: %s" % (source_path.name,remote_filename,e))
-            except Exception, e:
+            except Exception as e:
                 log.Warn("%s (Try %d of %d) Will retry in %d seconds." % (e,n,globals.num_retries,self.retry_delay))
         raise BackendException("Giving up trying to upload '%s' after %d attempts" % (remote_filename,n))
 
@@ -320,7 +320,7 @@
                         chan=self.client.get_transport().open_session()
                         chan.settimeout(globals.timeout)
                         chan.exec_command("scp -f '%s/%s'" % (self.remote_dir,remote_filename))
-                    except Exception, e:
+                    except Exception as e:
                         raise BackendException("scp execution failed: %s" % e)
 
                     chan.send('\0')     # overall ready indicator
@@ -343,7 +343,7 @@
                             buff=chan.recv(blocksize)
                             f.write(buff)
                             togo-=len(buff)
-                    except Exception, e:
+                    except Exception as e:
                         raise BackendException("scp get %s failed: %s" % (remote_filename,e))
 
                     msg=chan.recv(1)    # check the final status
@@ -357,10 +357,10 @@
                     try:
                         self.sftp.get(remote_filename,local_path.name)
                         return
-                    except Exception, e:
+                    except Exception as e:
                         raise BackendException("sftp get of %s (to %s) failed: %s" % (remote_filename,local_path.name,e))
                 local_path.setdata()
-            except Exception, e:
+            except Exception as e:
                 log.Warn("%s (Try %d of %d) Will retry in %d seconds." % (e,n,globals.num_retries,self.retry_delay))
         raise BackendException("Giving up trying to download '%s' after %d attempts" % (remote_filename,n))
 
@@ -379,9 +379,9 @@
                 else:
                     try:
                         return self.sftp.listdir()
-                    except Exception, e:
+                    except Exception as e:
                         raise BackendException("sftp listing of %s failed: %s" % (self.sftp.getcwd(),e))
-            except Exception, e:
+            except Exception as e:
                 log.Warn("%s (Try %d of %d) Will retry in %d seconds." % (e,n,globals.num_retries,self.retry_delay))
         raise BackendException("Giving up trying to list '%s' after %d attempts" % (self.remote_dir,n))
 
@@ -397,12 +397,12 @@
                     else:
                         try:
                             self.sftp.remove(fn)
-                        except Exception, e:
+                        except Exception as e:
                             raise BackendException("sftp rm %s failed: %s" % (fn,e))
 
                     # If we get here, we deleted this file successfully. Move on to the next one.
                     break
-                except Exception, e:
+                except Exception as e:
                     if n == globals.num_retries:
                         log.FatalError(str(e), log.ErrorCode.backend_error)
                     else:
@@ -416,7 +416,7 @@
             chan=self.client.get_transport().open_session()
             chan.settimeout(globals.timeout)
             chan.exec_command(cmd)
-        except Exception, e:
+        except Exception as e:
             raise BackendException("%sexecution failed: %s" % (errorprefix,e))
         output=chan.recv(-1)
         res=chan.recv_exit_status()
@@ -434,7 +434,7 @@
         sshconfig = paramiko.SSHConfig()
         try:
             sshconfig.parse(open(file))
-        except Exception, e:
+        except Exception as e:
             raise BackendException("could not load '%s', maybe corrupt?" % (file))
         
         return sshconfig.lookup(host)

=== modified file 'duplicity/backends/dpbxbackend.py'
--- duplicity/backends/dpbxbackend.py	2014-03-05 17:05:04 +0000
+++ duplicity/backends/dpbxbackend.py	2014-04-17 20:50:57 +0000
@@ -80,14 +80,14 @@
 
             try:
                 return f(self, *args)
-            except TypeError, e:
+            except TypeError as e:
                 log_exception(e)
                 log.FatalError('dpbx type error "%s"' % (e,), log.ErrorCode.backend_code_error)
-            except rest.ErrorResponse, e:
+            except rest.ErrorResponse as e:
                 msg = e.user_error_msg or str(e)
                 log.Error('dpbx error: %s' % (msg,), log.ErrorCode.backend_command_error)
                 raise e
-            except Exception, e:
+            except Exception as e:
                 log_exception(e)
                 log.Error('dpbx code error "%s"' % (e,), log.ErrorCode.backend_code_error)
                 raise e
@@ -159,7 +159,7 @@
         if not self.sess.is_linked():
           try: # to login to the box
             self.sess.link()
-          except rest.ErrorResponse, e:
+          except rest.ErrorResponse as e:
             log.FatalError('dpbx Error: %s\n' % str(e), log.ErrorCode.dpbx_nologin)
           if not self.sess.is_linked(): # stil not logged in
             log.FatalError("dpbx Cannot login: check your credentials",log.ErrorCode.dpbx_nologin)

=== modified file 'duplicity/backends/gdocsbackend.py'
--- duplicity/backends/gdocsbackend.py	2014-01-03 10:37:54 +0000
+++ duplicity/backends/gdocsbackend.py	2014-04-17 20:50:57 +0000
@@ -113,7 +113,7 @@
                 self.__handle_error("Failed to initialize upload of file '%s' to remote folder '%s'"
                          % (source_path.get_filename(), self.folder.title.text), raise_errors)
             assert not file.close()
-        except Exception, e:
+        except Exception as e:
             self.__handle_error("Failed to upload file '%s' to remote folder '%s': %s"
                                 % (source_path.get_filename(), self.folder.title.text, str(e)), raise_errors)
 
@@ -132,7 +132,7 @@
             else:
                 self.__handle_error("Failed to find file '%s' in remote folder '%s'"
                                     % (remote_filename, self.folder.title.text), raise_errors)
-        except Exception, e:
+        except Exception as e:
             self.__handle_error("Failed to download file '%s' in remote folder '%s': %s"
                                  % (remote_filename, self.folder.title.text, str(e)), raise_errors)
 
@@ -143,7 +143,7 @@
             entries = self.__fetch_entries(self.folder.resource_id.text,
                                            GDocsBackend.BACKUP_DOCUMENT_TYPE)
             return [entry.title.text for entry in entries]
-        except Exception, e:
+        except Exception as e:
             self.__handle_error("Failed to fetch list of files in remote folder '%s': %s"
                                 % (self.folder.title.text, str(e)), raise_errors)
 
@@ -166,7 +166,7 @@
                 else:
                     log.Warn("Failed to fetch file '%s' in remote folder '%s'"
                              % (filename, self.folder.title.text))
-            except Exception, e:
+            except Exception as e:
                 self.__handle_error("Failed to remove file '%s' in remote folder '%s': %s"
                                     % (filename, self.folder.title.text, str(e)), raise_errors)
 
@@ -184,7 +184,7 @@
                                      service='writely',
                                      captcha_token=captcha_token,
                                      captcha_response=captcha_response)
-        except gdata.client.CaptchaChallenge, challenge:
+        except gdata.client.CaptchaChallenge as challenge:
             print('A captcha challenge in required. Please visit ' + challenge.captcha_url)
             answer = None
             while not answer:
@@ -196,7 +196,7 @@
                                 'access code for using this Duplicity backend. Follow the instrucction in '
                                 'http://www.google.com/support/accounts/bin/static.py?page=guide.cs&guide=1056283&topic=1056286 '
                                 'and create your application-specific password to run duplicity backups.')
-        except Exception, e:
+        except Exception as e:
             self.__handle_error('Error while authenticating client: %s.' % str(e))
 
     def __fetch_entries(self, folder_id, type, title=None):
@@ -238,7 +238,7 @@
 
             # Done!
             return result
-        except Exception, e:
+        except Exception as e:
             self.__handle_error('Error while fetching remote entries: %s.' % str(e))
 
 duplicity.backend.register_backend('gdocs', GDocsBackend)

=== modified file 'duplicity/backends/giobackend.py'
--- duplicity/backends/giobackend.py	2013-12-27 06:39:00 +0000
+++ duplicity/backends/giobackend.py	2014-04-17 20:50:57 +0000
@@ -93,14 +93,14 @@
         # Now make the directory if it doesn't exist
         try:
             self.remote_file.make_directory_with_parents(None)
-        except GLib.GError, e:
+        except GLib.GError as e:
             if e.code != Gio.IOErrorEnum.EXISTS:
                 raise
 
     def done_with_mount(self, fileobj, result, loop):
         try:
             fileobj.mount_enclosing_volume_finish(result)
-        except GLib.GError, e:
+        except GLib.GError as e:
             # check for NOT_SUPPORTED because some schemas (e.g. file://) validly don't
             if e.code != Gio.IOErrorEnum.ALREADY_MOUNTED and e.code != Gio.IOErrorEnum.NOT_SUPPORTED:
                 log.FatalError(_("Connection failed, please check your password: %s")
@@ -132,7 +132,7 @@
             source.copy(target,
                         Gio.FileCopyFlags.OVERWRITE | Gio.FileCopyFlags.NOFOLLOW_SYMLINKS,
                         None, self.copy_progress, None)
-        except Exception, e:
+        except Exception as e:
             self.handle_error(raise_errors, e, op, source.get_parse_name(),
                               target.get_parse_name())
 
@@ -163,7 +163,7 @@
             while info:
                 files.append(info.get_name())
                 info = enum.next_file(None)
-        except Exception, e:
+        except Exception as e:
             self.handle_error(raise_errors, e, 'list',
                               self.remote_file.get_parse_name())
         return files
@@ -176,7 +176,7 @@
             target_file = self.remote_file.get_child(filename)
             try:
                 target_file.delete(None)
-            except Exception, e:
+            except Exception as e:
                 if isinstance(e, GLib.GError):
                     if e.code == Gio.IOErrorEnum.NOT_FOUND:
                         continue
@@ -193,7 +193,7 @@
             info = target_file.query_info(attrs, Gio.FileQueryInfoFlags.NONE,
                                           None)
             return {'size': info.get_size()}
-        except Exception, e:
+        except Exception as e:
             if isinstance(e, GLib.GError):
                 if e.code == Gio.IOErrorEnum.NOT_FOUND:
                     return {'size': -1} # early exit, no need to retry

=== modified file 'duplicity/backends/localbackend.py'
--- duplicity/backends/localbackend.py	2013-12-27 06:39:00 +0000
+++ duplicity/backends/localbackend.py	2014-04-17 20:50:57 +0000
@@ -74,13 +74,13 @@
                 source_path.rename(target_path)
             except OSError:
                 pass
-            except Exception, e:
+            except Exception as e:
                 self.handle_error(e, 'put', source_path.name, target_path.name)
             else:
                 return
         try:
             target_path.writefileobj(source_path.open("rb"))
-        except Exception, e:
+        except Exception as e:
             self.handle_error(e, 'put', source_path.name, target_path.name)
 
         """If we get here, renaming failed previously"""
@@ -93,7 +93,7 @@
         source_path = self.remote_pathdir.append(filename)
         try:
             local_path.writefileobj(source_path.open("rb"))
-        except Exception, e:
+        except Exception as e:
             self.handle_error(e, 'get', source_path.name, local_path.name)
 
     def _list(self):
@@ -104,7 +104,7 @@
                 pass
         try:
             return self.remote_pathdir.listdir()
-        except Exception, e:
+        except Exception as e:
             self.handle_error(e, 'list', self.remote_pathdir.name)
 
     def delete(self, filename_list):
@@ -113,7 +113,7 @@
         for filename in filename_list:
             try:
                 self.remote_pathdir.append(filename).delete()
-            except Exception, e:
+            except Exception as e:
                 self.handle_error(e, 'delete', self.remote_pathdir.append(filename).name)
 
     def _query_file_info(self, filename):
@@ -125,7 +125,7 @@
             target_file.setdata()
             size = target_file.getsize()
             return {'size': size}
-        except Exception, e:
+        except Exception as e:
             self.handle_error(e, 'query', target_file.name)
             return {'size': None}
 

=== modified file 'duplicity/backends/megabackend.py'
--- duplicity/backends/megabackend.py	2013-12-27 06:39:00 +0000
+++ duplicity/backends/megabackend.py	2014-04-17 20:50:57 +0000
@@ -80,7 +80,7 @@
 
             self.client.upload(source_path.get_canonical(), self.folder, dest_filename=remote_filename)
 
-        except Exception, e:
+        except Exception as e:
             self.__handle_error("Failed to upload file '%s' to remote folder '%s': %s"
                                 % (source_path.get_canonical(), self.__get_node_name(self.folder), str(e)), raise_errors)
 
@@ -100,7 +100,7 @@
             else:
                 self.__handle_error("Failed to find file '%s' in remote folder '%s'"
                                     % (remote_filename, self.__get_node_name(self.folder)), raise_errors)
-        except Exception, e:
+        except Exception as e:
             self.__handle_error("Failed to download file '%s' in remote folder '%s': %s"
                                  % (remote_filename, self.__get_node_name(self.folder), str(e)), raise_errors)
 
@@ -110,7 +110,7 @@
         try:
             entries = self.client.get_files_in_node(self.folder)
             return [ self.client.get_name_from_file({entry:entries[entry]}) for entry in entries]
-        except Exception, e:
+        except Exception as e:
             self.__handle_error("Failed to fetch list of files in remote folder '%s': %s"
                                 % (self.__get_node_name(self.folder), str(e)), raise_errors)
 
@@ -129,7 +129,7 @@
                 else:
                     log.Warn("Failed to fetch file '%s' in remote folder '%s'"
                              % (filename, self.__get_node_name(self.folder)))
-            except Exception, e:
+            except Exception as e:
                 self.__handle_error("Failed to remove file '%s' in remote folder '%s': %s"
                                     % (filename, self.__get_node_name(self.folder), str(e)), raise_errors)
 
@@ -147,7 +147,7 @@
     def __authorize(self, email, password):
         try:
             self.client.login(email, password)
-        except Exception, e:
+        except Exception as e:
             self.__handle_error('Error while authenticating client: %s.' % str(e))
 
     def __filter_entries(self, entries, parent_id=None, title=None, type=None):
@@ -169,7 +169,7 @@
                 result.update({k:v})
 
             return result
-        except Exception, e:
+        except Exception as e:
             self.__handle_error('Error while fetching remote entries: %s.' % str(e))
 
 duplicity.backend.register_backend('mega', MegaBackend)

=== modified file 'duplicity/backends/swiftbackend.py'
--- duplicity/backends/swiftbackend.py	2013-12-27 06:39:00 +0000
+++ duplicity/backends/swiftbackend.py	2014-04-17 20:50:57 +0000
@@ -77,7 +77,7 @@
         try:
             self.conn = Connection(**conn_kwargs)
             self.conn.put_container(self.container)
-        except Exception, e:
+        except Exception as e:
             log.FatalError("Connection failed: %s %s"
                            % (e.__class__.__name__, str(e)),
                            log.ErrorCode.connection_failed)
@@ -93,10 +93,10 @@
                                      remote_filename, 
                                      file(source_path.name))
                 return
-            except self.resp_exc, error:
+            except self.resp_exc as error:
                 log.Warn("Upload of '%s' failed (attempt %d): Swift server returned: %s %s"
                          % (remote_filename, n, error.http_status, error.message))
-            except Exception, e:
+            except Exception as e:
                 log.Warn("Upload of '%s' failed (attempt %s): %s: %s"
                         % (remote_filename, n, e.__class__.__name__, str(e)))
                 log.Debug("Backtrace of previous error: %s"
@@ -117,10 +117,10 @@
                     f.write(chunk)
                 local_path.setdata()
                 return
-            except self.resp_exc, resperr:
+            except self.resp_exc as resperr:
                 log.Warn("Download of '%s' failed (attempt %s): Swift server returned: %s %s"
                          % (remote_filename, n, resperr.http_status, resperr.message))
-            except Exception, e:
+            except Exception as e:
                 log.Warn("Download of '%s' failed (attempt %s): %s: %s"
                          % (remote_filename, n, e.__class__.__name__, str(e)))
                 log.Debug("Backtrace of previous error: %s"
@@ -139,10 +139,10 @@
                 # to make multiple requests to get them all.
                 headers, objs = self.conn.get_container(self.container)
                 return [ o['name'] for o in objs ]
-            except self.resp_exc, resperr:
+            except self.resp_exc as resperr:
                 log.Warn("Listing of '%s' failed (attempt %s): Swift server returned: %s %s"
                          % (self.container, n, resperr.http_status, resperr.message))
-            except Exception, e:
+            except Exception as e:
                 log.Warn("Listing of '%s' failed (attempt %s): %s: %s"
                          % (self.container, n, e.__class__.__name__, str(e)))
                 log.Debug("Backtrace of previous error: %s"
@@ -159,14 +159,14 @@
             try:
                 self.conn.delete_object(self.container, remote_filename)
                 return
-            except self.resp_exc, resperr:
+            except self.resp_exc as resperr:
                 if n > 1 and resperr.http_status == 404:
                     # We failed on a timeout, but delete succeeded on the server
                     log.Warn("Delete of '%s' missing after retry - must have succeded earlier" % remote_filename )
                     return
                 log.Warn("Delete of '%s' failed (attempt %s): Swift server returned: %s %s"
                          % (remote_filename, n, resperr.http_status, resperr.message))
-            except Exception, e:
+            except Exception as e:
                 log.Warn("Delete of '%s' failed (attempt %s): %s: %s"
                          % (remote_filename, n, e.__class__.__name__, str(e)))
                 log.Debug("Backtrace of previous error: %s"
@@ -189,7 +189,7 @@
             return {'size': long(sobject['content-length'])}
         except self.resp_exc:
             return {'size': -1}
-        except Exception, e:
+        except Exception as e:
             log.Warn("Error querying '%s/%s': %s"
                      "" % (self.container,
                            filename,

=== modified file 'duplicity/backends/webdavbackend.py'
--- duplicity/backends/webdavbackend.py	2014-04-16 20:45:09 +0000
+++ duplicity/backends/webdavbackend.py	2014-04-17 20:50:57 +0000
@@ -96,7 +96,7 @@
         def request(self, *args, **kwargs):
             try:
                 return httplib.HTTPSConnection.request(self, *args, **kwargs)
-            except ssl.SSLError, e:
+            except ssl.SSLError as e:
                 # encapsulate ssl errors
                 raise BackendException("SSL failed: %s" % str(e),log.ErrorCode.backend_error)
 
@@ -293,7 +293,7 @@
                 if filename:
                     result.append(filename)
             return result
-        except Exception, e:
+        except Exception as e:
             raise e
         finally:
             if response: response.close()
@@ -383,7 +383,7 @@
                 reason = response.reason
                 response.close()
                 raise BackendException("Bad status code %s reason %s." % (status,reason))
-        except Exception, e:
+        except Exception as e:
             raise e
         finally:
             if response: response.close()
@@ -407,7 +407,7 @@
                 reason = response.reason
                 response.close()
                 raise BackendException("Bad status code %s reason %s." % (status,reason))
-        except Exception, e:
+        except Exception as e:
             raise e
         finally:
             if response: response.close()
@@ -429,7 +429,7 @@
                     reason = response.reason
                     response.close()
                     raise BackendException("Bad status code %s reason %s." % (status,reason))
-            except Exception, e:
+            except Exception as e:
                 raise e
             finally:
                 if response: response.close()

=== modified file 'duplicity/cached_ops.py'
--- duplicity/cached_ops.py	2012-11-09 03:21:40 +0000
+++ duplicity/cached_ops.py	2014-04-17 20:50:57 +0000
@@ -34,7 +34,7 @@
     def __call__(self, *args):
         try:
             return self.cache[args]
-        except (KeyError, TypeError), e:
+        except (KeyError, TypeError) as e:
             result = self.f(*args)
             if not isinstance(e, TypeError):
                 # TypeError most likely means that args is not hashable

=== modified file 'duplicity/collections.py'
--- duplicity/collections.py	2014-01-17 16:44:46 +0000
+++ duplicity/collections.py	2014-04-17 20:50:57 +0000
@@ -222,7 +222,7 @@
         # public key w/o secret key
         try:
             manifest_buffer = self.backend.get_data(self.remote_manifest_name)
-        except GPGError, message:
+        except GPGError as message:
             #TODO: We check for gpg v1 and v2 messages, should be an error code.
             if ("secret key not available" in message.args[0] or
                 "No secret key" in message.args[0]):

=== modified file 'duplicity/commandline.py'
--- duplicity/commandline.py	2014-04-17 17:45:37 +0000
+++ duplicity/commandline.py	2014-04-17 20:50:57 +0000
@@ -109,7 +109,7 @@
 def check_time(option, opt, value):
     try:
         return dup_time.genstrtotime(value)
-    except dup_time.TimeException, e:
+    except dup_time.TimeException as e:
         raise optparse.OptionValueError(str(e))
 
 def check_verbosity(option, opt, value):

=== modified file 'duplicity/diffdir.py'
--- duplicity/diffdir.py	2013-12-27 06:39:00 +0000
+++ duplicity/diffdir.py	2014-04-17 20:50:57 +0000
@@ -389,7 +389,7 @@
     def read(self, length = -1):
         try:
             buf = self.infile.read(length)
-        except IOError, ex:
+        except IOError as ex:
             buf = ""
             log.Warn(_("Error %s getting delta for %s") % (str(ex), util.ufn(self.infile.name)))
         if stats:

=== modified file 'duplicity/dup_threading.py'
--- duplicity/dup_threading.py	2010-07-22 19:15:11 +0000
+++ duplicity/dup_threading.py	2014-04-17 20:50:57 +0000
@@ -207,7 +207,7 @@
             cv.release()
 
             return (True, waiter)
-        except Exception, e:
+        except Exception as e:
             cv.acquire()
             state['done'] = True
             state['error'] = e

=== modified file 'duplicity/librsync.py'
--- duplicity/librsync.py	2010-11-20 15:39:00 +0000
+++ duplicity/librsync.py	2014-04-17 20:50:57 +0000
@@ -90,7 +90,7 @@
             self._add_to_inbuf()
         try:
             self.eof, len_inbuf_read, cycle_out = self.maker.cycle(self.inbuf)
-        except _librsync.librsyncError, e:
+        except _librsync.librsyncError as e:
             raise librsyncError(str(e))
         self.inbuf = self.inbuf[len_inbuf_read:]
         self.outbuf.fromstring(cycle_out)
@@ -126,7 +126,7 @@
         LikeFile.__init__(self, infile)
         try:
             self.maker = _librsync.new_sigmaker(blocksize)
-        except _librsync.librsyncError, e:
+        except _librsync.librsyncError as e:
             raise librsyncError(str(e))
 
 class DeltaFile(LikeFile):
@@ -148,7 +148,7 @@
             assert not signature.close()
         try:
             self.maker = _librsync.new_deltamaker(sig_string)
-        except _librsync.librsyncError, e:
+        except _librsync.librsyncError as e:
             raise librsyncError(str(e))
 
 
@@ -167,7 +167,7 @@
             raise TypeError("basis_file must be a (true) file")
         try:
             self.maker = _librsync.new_patchmaker(basis_file)
-        except _librsync.librsyncError, e:
+        except _librsync.librsyncError as e:
             raise librsyncError(str(e))
 
 
@@ -182,7 +182,7 @@
         """Return new signature instance"""
         try:
             self.sig_maker = _librsync.new_sigmaker(blocksize)
-        except _librsync.librsyncError, e:
+        except _librsync.librsyncError as e:
             raise librsyncError(str(e))
         self.gotsig = None
         self.buffer = ""
@@ -201,7 +201,7 @@
         """Run self.buffer through sig_maker, add to self.sig_string"""
         try:
             eof, len_buf_read, cycle_out = self.sig_maker.cycle(self.buffer)
-        except _librsync.librsyncError, e:
+        except _librsync.librsyncError as e:
             raise librsyncError(str(e))
         self.buffer = self.buffer[len_buf_read:]
         self.sigstring_list.append(cycle_out)

=== modified file 'duplicity/patchdir.py'
--- duplicity/patchdir.py	2013-12-27 06:39:00 +0000
+++ duplicity/patchdir.py	2014-04-17 20:50:57 +0000
@@ -504,7 +504,7 @@
             if final_ropath.exists():
                 # otherwise final patch was delete
                 yield final_ropath
-        except Exception, e:
+        except Exception as e:
             filename = normalized[-1].get_ropath().get_relative_path()
             log.Warn(_("Error '%s' patching %s") % 
                      (str(e), filename),

=== modified file 'duplicity/path.py'
--- duplicity/path.py	2013-12-27 06:39:00 +0000
+++ duplicity/path.py	2014-04-17 20:50:57 +0000
@@ -500,7 +500,7 @@
         """Refresh stat cache"""
         try:
             self.stat = os.lstat(self.name)
-        except OSError, e:
+        except OSError as e:
             err_string = errno.errorcode[e[0]]
             if err_string in ["ENOENT", "ENOTDIR", "ELOOP", "ENOTCONN"]:
                 self.stat, self.type = None, None # file doesn't exist

=== modified file 'duplicity/robust.py'
--- duplicity/robust.py	2013-12-27 06:39:00 +0000
+++ duplicity/robust.py	2014-04-17 20:50:57 +0000
@@ -39,7 +39,7 @@
     #       RPathException, Rdiff.RdiffException,
     #       librsync.librsyncError, C.UnknownFileTypeError), exc:
     #   TracebackArchive.add()
-    except (IOError, EnvironmentError, librsync.librsyncError, path.PathException), exc:
+    except (IOError, EnvironmentError, librsync.librsyncError, path.PathException) as exc:
         if (not isinstance(exc, EnvironmentError) or
             ((exc[0] in errno.errorcode)
              and errno.errorcode[exc[0]] in

=== modified file 'duplicity/selection.py'
--- duplicity/selection.py	2013-12-27 06:39:00 +0000
+++ duplicity/selection.py	2014-04-17 20:50:57 +0000
@@ -256,7 +256,7 @@
                     self.add_selection_func(self.regexp_get_sf(arg, 1))
                 else:
                     assert 0, "Bad selection option %s" % opt
-        except SelectError, e:
+        except SelectError as e:
             self.parse_catch_error(e)
         assert filelists_index == len(filelists)
         self.parse_last_excludes()
@@ -351,7 +351,7 @@
                 continue # skip blanks
             try:
                 tuple = self.filelist_parse_line(line, include)
-            except FilePrefixError, exc:
+            except FilePrefixError as exc:
                 incr_warnings(exc)
                 continue
             tuple_list.append(tuple)

=== modified file 'duplicity/util.py'
--- duplicity/util.py	2014-01-17 16:44:46 +0000
+++ duplicity/util.py	2014-04-17 20:50:57 +0000
@@ -80,7 +80,7 @@
     """
     try:
         return fn()
-    except Exception, e:
+    except Exception as e:
         if globals.ignore_errors:
             log.Warn(_("IGNORED_ERROR: Warning: ignoring error as requested: %s: %s")
                      % (e.__class__.__name__, str(e)))
@@ -131,7 +131,7 @@
     """
     try:
         fn(filename)
-    except OSError, ex:
+    except OSError as ex:
         if ex.errno == errno.ENOENT:
             pass
         else:

=== modified file 'testing/tests/test_badupload.py'
--- testing/tests/test_badupload.py	2014-04-16 02:43:43 +0000
+++ testing/tests/test_badupload.py	2014-04-17 20:50:57 +0000
@@ -36,7 +36,7 @@
         try:
             self.backup("full", "testfiles/dir1", options=["--skip-volume=1"])
             self.fail()
-        except CmdError, e:
+        except CmdError as e:
             self.assertEqual(e.exit_status, 44)
 
 if __name__ == "__main__":

=== modified file 'testing/tests/test_python3.py'
--- testing/tests/test_python3.py	2014-04-17 20:50:25 +0000
+++ testing/tests/test_python3.py	2014-04-17 20:50:57 +0000
@@ -37,7 +37,6 @@
                                           "--nofix=basestring",
                                           "--nofix=callable",
                                           "--nofix=dict",
-                                          "--nofix=except",
                                           "--nofix=filter",
                                           "--nofix=future",
                                           "--nofix=has_key",

